#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	BigInt-GMP
Summary:	Math::BigInt::GMP - use the GMP library for Math::BigInt routines
Summary(pl.UTF-8):	Math::BigInt::GMP - wykorzystanie biblioteki GMP do funkcji Math::BigInt
Name:		perl-Math-BigInt-GMP
Version:	1.48
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3b08b110c89c3ff2eef127f00093c19e
URL:		http://search.cpan.org/dist/Math-BigInt-GMP/
BuildRequires:	gmp-devel
BuildRequires:	perl-Math-BigInt >= 1.999713
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Math-BigInt >= 1.999713
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::BigInt::GMP provides support for big integer calculations via
means of the GMP C-library. Math::BigInt::GMP now no longer uses
Math::GMP, but provides it's own XS layer to access the GMP C-library.
This cuts out another (perl sub routine) layer and also reduces the
memory footprint by not loading Math::GMP and Carp at all.

%description -l pl.UTF-8
Math::BigInt::GMP dostarcza obsługę obliczeń na wielkich liczbach
całkowitych z wykorzystaniem funkcjonalności biblioteki C GMP. Moduł
ten już nie używa Math::GMP, ale dostarcza własną warstwę XS do
odwoływania się do biblioteki GMP w C. Dzięki temu nie ma kolejnej
warstwy (podprocedury Perla), a wykorzystanie pamięci jest mniejsze
dzięki nie wczytywaniu modułów Math::GMP i Carp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES CREDITS LICENSE README TODO
%{perl_vendorarch}/Math/BigInt/GMP.pm
%dir %{perl_vendorarch}/auto/Math/BigInt/GMP
%attr(755,root,root) %{perl_vendorarch}/auto/Math/BigInt/GMP/GMP.so
%{_mandir}/man3/Math::BigInt::GMP.3pm*
%changelog
* Tue Mar 22 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Math-BigInt-GMP.git;a=log;h=master

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> e76ff31
- up to 1.48

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 4bab790
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> bad0984
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 7558539
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c6044f1
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0b60728
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d1ec63d
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Thu Jun 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 2a50c56
- updated perl-Math-BigInt version

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 4e2ba09
- up to 1.37

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> a9d78a0
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 360f94e
- rel 5

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> b43e4e1
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 97911db
- release 3

* Mon Mar 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9910ff4
- release 2

* Thu Apr 17 2008 radek <radek@pld-linux.org> 910f5db
- version 1.24

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 3018128
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ce4f53
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> d63d924
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 006988d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 89628c4
- converted to UTF-8

